Bug 122885 - could not open default font 'fixed'
could not open default font 'fixed'
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-05-09 20:59 EDT by Felix Boecker
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-10 02:19:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Felix Boecker 2004-05-09 20:59:00 EDT
Description of problem:
X wont start, fails with 'could not open default font "fixed"'

Version-Release number of selected component (if applicable):
latest XFree86-4.3 update using yum

How reproducible:
I wish I knew! ... this hasn't been the first time I installed and
updated FC1 and never have had this problem.

I've seen this problem with earlier releases of XFree in bugzilla, but
all those bugs should be fixed by now (at least they were as far as I
could tell).
Comment 1 Mike A. Harris 2004-05-10 02:18:43 EDT
The error message 'could not open default font "fixed"' occurs for
a number of reasons all related to misconfiguration.  Some of which

- fonts that are improperly installed
- font files or directories with incorrect permission or ownership
- font directories with invalid or missing fonts.dir entries
- no fontserver running
- various other font or system misconfigurations

This error is never a bug in the X server, and always indicates
a system that is misconfigured in some manner or another.  Careful
inspection of all aspects of font configuration is required in order
to pinpoint the specific problem and resolve it.

While we are not able to provide technical support for misconfigured
systems via bugzilla, if you require technical assistance to resolve
this issue, there are different avenues which you may find useful:

- http://www.google.com  - cut and paste the error into google
- Red Hat mailing lists
- X.org or XFree86.org mailing lists

Comment 2 Mike A. Harris 2004-05-10 02:19:02 EDT
Setting bug status to "NOTABUG"

Note You need to log in before you can comment on or make changes to this bug.